Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ConfigurablePublishArtifact

    org.gradle.api.artifacts.ConfigurablePublishArtifact
      org.gradle.api.artifacts.PublishArtifact
          org.gradle.api.Buildable

All Superinterfaces:
  Buildable, PublishArtifact

    public interface ConfigurablePublishArtifact
    extends PublishArtifact

A PublishArtifact whose properties can be modified.

Method Summary
`ConfigurablePublishArtifact` | `builtBy(java.lang.Object... tasks)` Registers some tasks which build this artifact.
`void` | `setClassifier(java.lang.String classifier)` Sets the classifier of this artifact.
`void` | `setExtension(java.lang.String extension)` Sets the extension of this artifact.
`void` | `setName(java.lang.String name)` Sets the name of this artifact.
`void` | `setType(java.lang.String type)` Sets the type of this artifact.

Methods inherited from interface PublishArtifact
getClassifier, getDate, getExtension, getFile, getName, getType

Methods inherited from interface Buildable
getBuildDependencies

Method Detail

### builtBy

    public ConfigurablePublishArtifact builtBy(java.lang.Object... tasks)

  Registers some tasks which build this artifact.
  Parameters:
    `tasks` - The tasks. These are evaluated as for Task.dependsOn.
  Returns:
    this

### setClassifier

    public void setClassifier(java.lang.String classifier)

  Sets the classifier of this artifact.
  Parameters:
    `classifier` - The classifier. May be null.

### setExtension

    public void setExtension(java.lang.String extension)

  Sets the extension of this artifact.
  Parameters:
    `extension` - The extension. Should not be null.

### setName

    public void setName(java.lang.String name)

  Sets the name of this artifact.
  Parameters:
    `name` - The name. Should not be null.

### setType

    public void setType(java.lang.String type)

  Sets the type of this artifact.
  Parameters:
    `type` - The type. Should not be null.

Groovy Documentation